Question-and-Answer Resource for the Building Energy Modeling Community
Get started with the Help page
Ask Your Question
1

BEopt 3.0 backward compatibility?

asked 2022-12-21 15:27:21 -0600

Pachyphytum's avatar

I just downloaded the new BEopt 3.0, but it seems like it isn't backward compatible. Is there a way to make old v 2.8 files compatible without having to start from scratch?

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2022-12-27 09:32:13 -0600

Unfortunately not. BEopt v3 is a huge change relative to BEopt v2.8, and there are many instances where it is not physically possible to maintain the previous inputs from a BEopt 2.8 project file. So we broke compatibility for this major release.

edit flag offensive delete link more
1

answered 2022-12-25 16:02:26 -0600

jpierce's avatar

Not trivially, since a number of measures e.g; heat pumps; have been changed. It's not impossible though: a BEopt file is actually a SQLite database and can be opened with something like SQLiteStudio. However, the schema is highly normalized, which makes it a little difficult to work with... but if you have a sufficiently large number of custom measures, it might be worth dumping them from an old project to pull them into a new one.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Careers

Question Tools

1 follower

Stats

Asked: 2022-12-21 15:27:21 -0600

Seen: 272 times

Last updated: Dec 27 '22